# Interface IArchivedPatientTreatmentService

Namespace
  adas_core.Application.Services.Interfaces

Assembly
  adas-core.Application.dll

    public interface IArchivedPatientTreatmentService

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### FindAllPatientTreatmentsByPatient(ObjectId)

Retrieves all patient treatment records associated with the specified patient asynchronously.

    Task<List<PatientTreatment>> FindAllPatientTreatmentsByPatient(ObjectId patientId)

#### Parameters

`patientId` ObjectId

  The unique identifier of the patient whose treatments are being retrieved.

#### Returns

Task<List<PatientTreatment>>

  A task that represents the asynchronous operation, containing a list of PatientTreatment records for the given patient.